Package org.eclipse.net4j.util.io

# Class IOTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.eclipse.net4j.util.io.IOTimeoutException

All Implemented Interfaces:
  `Serializable`

public class IOTimeoutException extends IOException

Since:
  3.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IOTimeoutException()`
`IOTimeoutException(String message)`
`IOTimeoutException(String message, Throwable cause)`
`IOTimeoutException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`TimeoutException`
`createTimeoutException()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IOTimeoutException

public IOTimeoutException()

### IOTimeoutException

public IOTimeoutException(String message, Throwable cause)

### IOTimeoutException

public IOTimeoutException(String message)

### IOTimeoutException

public IOTimeoutException(Throwable cause)

## Method Details

### createTimeoutException

public TimeoutException createTimeoutException()